<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

/**
 * Доступные признаки товаров:
 * * 1 - на модерации
 * * 2 - производство контента
 * * 3 - изменения не отправлены на модерацию
 * * 4 - изменения не были согласованы
 * * 5 - не заполнены обязательные атрибуты
 * * 6 - не заполнены мастер-данные
 * * 7 - в продаже
 * * 8 - не в продаже
 */
enum ProductFlagEnum: int
{
    /** На модерации */
    case MODERATION = 1;
    /** Производство контента */
    case CONTENT = 2;
    /** Изменения не были отправлены на модерацию */
    case NOT_SENT_FOR_MODERATION = 3;
    /** Изменения не были согласованы */
    case NOT_AGREED = 4;
    /** Не заполнены обязательные атрибуты */
    case REQUIRED_ATTRIBUTES = 5;
    /** Не заполнены мастер-данные */
    case REQUIRED_MASTER_DATA = 6;
    /** В продаже */
    case IN_SALE = 7;
    /** Не в продаже */
    case NOT_SALE = 8;
}
